%define date    20160830
%define rel     1

%define game1   caveexpress
%define game2   cavepacker

Name:           caveexpress
Version:        2.5
Release:        %mkrel -c %{date} %{rel}
Summary:        Classic 2D platformer with physics-based gameplay and dozens of levels
Group:          Games/Arcade
License:        GPLv3 and CC-BY-SA 3.0
URL:            http://www.caveproductions.org
# Repacked from https://github.com/mgerhardy/caveexpress
Source0:        %{name}-%{version}-%{date}.tar.xz
Patch0:         caveexpress-2.5-mga-find-lua5.2.patch

BuildRequires:  cmake
BuildRequires:  glm-devel
BuildRequires:  lua5.2-devel
BuildRequires:  pkgconfig(box2d)
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  pkgconfig(SDL2_net)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(tinyxml2)
BuildRequires:  pkgconfig(yajl)
BuildRequires:  pkgconfig(zlib)

%description
CaveExpress is a classic 2D platformer with physics-based gameplay
and dozens of levels. Master your pedal-powered flying machine to
pick up packages from your cave-dwelling clients and drop them off
at the collection point.

But beware! Mighty mastodons, terrifying pterodactyls and others
would rather see you extinct.

%files
%doc docs/%{game1}/*
%{_datadir}/appdata/%{game1}.appdata.xml
%{_datadir}/applications/%{game1}.desktop
%{_datadir}/applications/%{game1}.snapcraft.yaml
%{_gamesbindir}/%{game1}
%{_gamesbindir}/%{game1}-editor
%{_gamesdatadir}/%{game1}/
%{_iconsdir}/%{game1}-icon.png
%{_mandir}/man6/%{game1}.6*

#----------------------------------------------------------------------

%package -n     %{game2}
Summary:        Sokoban game with network based multiplayer gaming
Group:          Games/Puzzles

%description -n %{game2}
CavePacker is a sokoban game. It is a puzzle game where you have to move the
packages onto their targets without getting stuck. The lesser steps you made
for solving a level, the better. You may only push but not pull packages.

%files -n       %{game2}
%doc docs/%{game2}/*
%{_datadir}/appdata/%{game2}.appdata.xml
%{_datadir}/applications/%{game2}.desktop
%{_datadir}/applications/%{game2}.snapcraft.yaml
%{_gamesbindir}/%{game2}
%{_gamesbindir}/%{game2}-editor
%{_gamesdatadir}/%{game2}/
%{_iconsdir}/%{game2}-icon.png
%{_mandir}/man6/%{game2}.6*

#----------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}-%{date}
%autopatch -p1

%build
%cmake \
    -DCAVEEXPRESS=ON \
    -DCAVEPACKER=ON \
    -DMINIRACER=OFF \
    -DNETWORKING=ON \
    -DPKGDATADIR=%{_gamesdatadir} \
    -DFORCE_USE_SYSTEM_LIBS=ON \
    -DTOOLS=OFF \
    -DUNITTESTS=OFF

%make_build

%install
%make_install -C build

# Currently override the desktop files, the upstream ones are a bit lacking
# https://github.com/mgerhardy/caveexpress/issues/99
cat << EOF > %{buildroot}%{_datadir}/applications/%{game1}.desktop
[Desktop Entry]
Name=CaveExpress
GenericName=Physics-based platformer
Comment=Classic 2D platformer with physics-based gameplay and dozens of levels
Exec=%{game1}
Icon=%{game1}-icon
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
StartupNotify=false
EOF

cat << EOF > %{buildroot}%{_datadir}/applications/%{game2}.desktop
[Desktop Entry]
Name=CavePacker
GenericName=Sokoban game
Comment=Sokoban game with network based multiplayer gaming
Exec=%{game2}
Icon=%{game2}-icon
Terminal=false
Type=Application
Categories=Game;LogicGame;
StartupNotify=false
EOF


%changelog
* Thu Sep 22 2016 akien <akien> 2.5-0.20160830.1.mga6
+ Revision: 1055200
- Snapshot 20160830

* Fri Jul 29 2016 akien <akien> 2.5-0.20160719.1.mga6
+ Revision: 1043890
- imported package caveexpress

